API
Retrieves, without removing, the next available message from the specified channel's queue.
WebAPI.Host (3.0)
Download OpenAPI description
Languages
Servers
Mock server
https://{{your_venus_webapi_ip_address}}/
Body
- application/json; x-api-version=3.0
- text/json; x-api-version=3.0
- application/*+json; x-api-version=3.0
The push request containing the target channel and the message data to enqueue. Cannot be null. The channel and data fields must not be empty.
- Mock server
https://{{your_venus_webapi_ip_address}}/api/vector/v3/run-messages
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://{{your_venus_webapi_ip_address}}/api/vector/v3/run-messages' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json; x-api-version=3.0' \
-d '{
"channel": "string",
"data": null
}'Response
{ "channel": "string", "messageId": "string", "timestamp": "string", "queueDepth": 0 }
- Mock server
https://{{your_venus_webapi_ip_address}}/api/vector/v3/run-messages/{channel}/pop
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://{{your_venus_webapi_ip_address}}/api/vector/v3/run-messages/{channel}/pop' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
{ "channel": "string", "hasMessage": true, "messageId": "string", "timestamp": "string", "data": null }
- Mock server
https://{{your_venus_webapi_ip_address}}/api/vector/v3/run-messages/{channel}/peek
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://{{your_venus_webapi_ip_address}}/api/vector/v3/run-messages/{channel}/peek' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
{ "channel": "string", "hasMessage": true, "messageId": "string", "timestamp": "string", "data": null }
- Mock server
https://{{your_venus_webapi_ip_address}}/api/vector/v3/run-messages/{channel}/depth
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://{{your_venus_webapi_ip_address}}/api/vector/v3/run-messages/{channel}/depth' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
{ "channel": "string", "depth": 0 }
- Mock server
https://{{your_venus_webapi_ip_address}}/api/vector/v3/run-messages/{channel}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://{{your_venus_webapi_ip_address}}/api/vector/v3/run-messages/{channel}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
{ "channel": "string", "messagesDeleted": 0 }